Skip to navigation

Get Term

Get a term, with the other terms of its entry in member_terms.

Returns 404 if the term does not exist in this organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

term_idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
Identifier used by this API.
uuidstring

The term’s stable uuid, as in ACTIF term/uuid; searchable with term_uuid.

external_idstring

The term’s ID, as in ACTIF term/id.

conceptidstring

The entry’s ID, as in ACTIF entry/id.

conceptuuidstring

The entry’s uuid, as in ACTIF entry/uuid; searchable with entry_uuid.

isconceptstring

t for the entry’s head (primary) term, f otherwise.

surfaceobject or nullOptional
languageobject or nullOptional

One category: a language, status, domain, part of speech, or a value of a custom category type.

statusobject or nullOptional

One category: a language, status, domain, part of speech, or a value of a custom category type.

msrobject or nullOptional

One category: a language, status, domain, part of speech, or a value of a custom category type.

categorieslist of objectsOptionalDefaults to []
variantsconfigurationsstring or nullOptional
variant_settingsobjectOptional
How variants of one term are matched during checking.
frequencyintegerOptionalDefaults to 0
creationdatedatetime or nullOptional
creatorstring or nullOptional
lastmodificationdatedatetime or nullOptional
lastmodifierstring or nullOptional
linked_term_countintegerOptionalDefaults to 0
member_countintegerOptionalDefaults to 0
custom_fieldsmap from strings to nullable stringsOptionalDefaults to {}
custom_field_valueslist of objectsOptionalDefaults to []
member_termslist of objectsOptionalDefaults to []

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error